Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class BoolStack

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.BoolStack

public final class BoolStack
extends java.lang.Object

Simple stack for boolean values.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`BoolStack()` Default constructor.
`BoolStack(int size)` Construct a IntVector, using the given block size.

Method Summary
`boolean` | `isEmpty()` Tests if this stack is empty.
`boolean` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`boolean` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`boolean` | `push(boolean val)` Pushes an item onto the top of this stack.
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoolStack

    public BoolStack()

  Default constructor. Note that the default block size is very small, for small lists.

### BoolStack

    public BoolStack(int size)

  Construct a IntVector, using the given block size.

Method Detail

### size

    public int size()

  Get the length of the list.

### push

    public boolean push(boolean val)

  Pushes an item onto the top of this stack.

  Parameters:
    `i` - the int to be pushed onto this stack.
  Returns:
    the `item` argument.

### pop

    public boolean pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peek

    public boolean peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### isEmpty

    public boolean isEmpty()

  Tests if this stack is empty.

  Returns:
    `true` if this stack is empty; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD